#
# spec file for package bibletime
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:		    bibletime
Summary:        BibleTime is an easy to use Bible study tool for KDE
Version:        2.0.1
Release:        7
License:        GNU General Public License version 2 (GPL v2)
Url:            http://www.bibletime.info/
Group:          Productivity/Scientific/Other
Vendor:         openSUSE-Education
Source0:        %name-%version.tar.bz2
Source1:        %{name}.xpm
Provides:       %{name}-i18n = %version
Obsoletes:      %{name}-i18n < 1.7
Obsoletes:      %{name}-devel < 1.7
Provides:       %{name}-devel = %version
Provides:       sword-frontend
Recommends:     sword-bible
Recommends:     sword-commentary
BuildRequires:  sword-devel curl-devel clucene-core-devel libQtWebKit-devel
BuildRequires:  libqt4-devel boost-devel cmake pkg-config
BuildRequires:  update-desktop-files 
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define kdeprefix %{_prefix}

%description
BibleTime is a free and easy to use bible study tool for UNIX systems.

BibleTime provides easy handling of digitalized texts (Bibles, commentaries and
lexicons) and powerful features to work with these texts (search in texts,
write own notes, save, print etc.). BibleTime is a frontend for the  SWORD
Bible Framework.

The SWORD Project is an effort to create an ever expanding software package for
research and study of God and His Word.  The SWORD Bible Framework allows easy
manipulation of Bible texts, commentaries, lexicons, dictionaries, etc.  Many
frontends are build using this framework.  An installed module set may be
shared between any frontend using the framework.


%prep
%setup -q

%build
mkdir build
pushd build
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX="%{_prefix}" ../
%__make %{?jobs:-j %jobs}
popd

%install
pushd build
%makeinstall
popd
%fdupes -s %buildroot
sed -i "s|bibletime/handbook/index.html|bibletime/handbook/en/index.html|" %buildroot/%{_datadir}/applications/%{name}.desktop
install -Dm644 %{SOURCE1} %buildroot/%{_datadir}/pixmaps/%{name}.xpm
%suse_update_desktop_file -r bibletime Education Teaching
test -d %buildroot/%kdeprefix/share/locale/pt_br && mv %buildroot/%kdeprefix/share/locale/pt_br %buildroot/%kdeprefix/share/locale/pt_BR
test -d %buildroot/%kdeprefix/share/doc/HTML/pt-br && mv %buildroot/%kdeprefix/share/doc/HTML/pt-br %buildroot/%kdeprefix/share/doc/HTML/pt_BR

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%dir %kdeprefix/share/bibletime
%kdeprefix/bin/*
%kdeprefix/share/icons/*
%kdeprefix/share/pixmaps/%{name}.xpm
%kdeprefix/share/applications/bibletime.desktop
%kdeprefix/share/bibletime/*

%changelog
